---
lang: en
title: 'API docs: boot.bootstrapper'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.bootstrapper.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [Bootstrapper](./boot.bootstrapper.md)

## Bootstrapper class

The Bootstrapper class provides the `boot` function that is responsible for finding and executing the Booters in an application based on given options.

NOTE: Bootstrapper should be bound as a SINGLETON so it can be cached as it does not maintain any state of it's own.

<b>Signature:</b>

```typescript
export declare class Bootstrapper 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app, projectRoot, bootOptions)](./boot.bootstrapper._constructor_.md) |  | Constructs a new instance of the <code>Bootstrapper</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [boot(execOptions, ctx)](./boot.bootstrapper.boot.md) |  | Function is responsible for calling all registered Booter classes that are bound to the Application instance. Each phase of an instance must complete before the next phase is started. |


